#
# spec file for package Crystalcursors (Version 0.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-libs zlib zlib-devel

Name:           Crystalcursors
BuildRequires:  libpng xorg-x11
URL:            http://digilander.iol.it/m4rt/crystalcursors.html
Summary:        Mouse Cursors in Crystal Icon Style
Version:        0.5
Release:        39.2
License:        LGPL
Group:          System/X11/Icons
Source:         6240-%{name}.tar.bz2
Patch:          root-installation.diff
Patch1:         Crystalcursors.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch

%description
Four different mouse cursor icon sets in the KDE CrystalSVG style. In
white, gray, blue, and green versions. They can be selected from KDE
Control Center, in the mouse configuration.



Authors:
--------
    Marco Martin

%debug_package
%prep
%setup -q -n %name
%patch1
%patch

%build
# the crowd complained about the speed ..
for i in */watch/*conf; do
 awk '{ print $1" "$2" "$3" "$4" 240" }' $i > ${i}.new
 mv ${i}.new ${i}
done
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGELOG CREDITS LICENSE README
/usr/X11R6/lib/X11/icons

%changelog -n Crystalcursors
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Apr 24 2004 - sndirsch@suse.de
- XFree86 --> xorg-x11 in neededforbuild
* Sat Apr 03 2004 - adrian@suse.de
- the world does not understand fast times
  (1/4 speed of the wait cursor clock)
* Tue Mar 23 2004 - adrian@suse.de
- update to version 0.5
  * improves contrast of the white mouse cursor theme (#35605)
* Mon Mar 08 2004 - adrian@suse.de
- create non-animated versions of cursors (based on patch by Lubos)
- additional cursor symlinks (found by Lubos)
* Sun Mar 07 2004 - adrian@suse.de
- initial package of version 0.4
